CLASS TEM(3)

NAME
boost::unwrap_recursive_wrapper - Unwraps the specified argument if given a specialization of recursive_wrapper.

SYNOPSIS

// In header: <boost/variant/recursive_wrapper.hpp>
template<typename T>
class unwrap_recursive_wrapper {
public:
  // types
  typedef unspecified type;
};

DESCRIPTION

type is equivalent to T::type if T is a specialization of recursive_wrapper. Otherwise, type is equivalent to T.